
precision mediump float; 
varying mediump vec2 v_texcoord;

uniform sampler2D s_texture_y;
uniform sampler2D s_texture_uv;
//uniform sampler2D inputImageTexture;
uniform sampler2D curve;

void main()
{ 
	lowp vec4 textureColor;
	lowp vec4 textureColorRes; 
	lowp vec4 textureColorOri; 
	vec4 grey1Color; 
	vec4 layerColor; 
	mediump float satVal = 115.0 / 100.0; 

//    float xCoordinate = v_texcoord.x;
//	float yCoordinate = v_texcoord.y;
	
	highp float redCurveValue; 
	highp float greenCurveValue; 
	highp float blueCurveValue; 

    float y = texture2D(s_texture_y, v_texcoord).r;
    float u = texture2D(s_texture_uv, v_texcoord).r - 0.5;
    float v = texture2D(s_texture_uv, v_texcoord).g - 0.5;
    
    float r = y +             1.402 * v;
    float g = y - 0.344 * u - 0.714 * v;
    float b = y + 1.772 * u;
    
    textureColor = vec4(r,g,b,1.0);
    
//	textureColor = texture2D( inputImageTexture, vec2(xCoordinate, yCoordinate));
    textureColorRes = textureColor; 
	textureColorOri = textureColor; 

	// step1. screen blending 
	textureColor = 1.0 - ((1.0 - textureColorOri) * (1.0 - textureColorOri)); 
	textureColor = (textureColor - textureColorOri) + textureColorOri; 

	// step2. curve 
	redCurveValue = texture2D(curve, vec2(textureColor.r, 0.0)).r; 
	greenCurveValue = texture2D(curve, vec2(textureColor.g, 0.0)).g; 
    blueCurveValue = texture2D(curve, vec2(textureColor.b, 0.0)).b; 

	// step3. saturation 
	highp float G = (redCurveValue + greenCurveValue + blueCurveValue); 
	G = G / 3.0; 

    redCurveValue = ((1.0 - satVal) * G + satVal * redCurveValue); 
	greenCurveValue = ((1.0 - satVal) * G + satVal * greenCurveValue); 
	blueCurveValue = ((1.0 - satVal) * G + satVal * blueCurveValue); 

	textureColor = vec4(redCurveValue, greenCurveValue, blueCurveValue, 1.0); 

    gl_FragColor = vec4(textureColor.r, textureColor.g, textureColor.b, 1.0); 
}
